Update a ReceivableAsk AIpatch https://api.routable.com/v1/receivables/{id}Update an existing Receivable. 🏁 This endpoint's rate limit is 100 calls per minute.Path ParamsiduuidrequiredThe ID for the resource being accessed.Body ParamsexternalinvoicetypestringenumThe type of Receivable.invoiceexternalAllowed:externaltype_detailsobjecttype_details objectacting_team_memberuuidrequiredThe ID of the TeamMember performing this action. This will be displayed in the Routable Dashboard and outbound email notifications.amountstringThe total amount for this Receivable, in the currency defined in currency_code.attachmentsarray of objectsAn optional array of file attachments to add to the transaction. There is no file size limit on an individual file, but the total size of your request including all attachments may not exceed 25MB.attachmentsADD objectbill_numberstringThe bill number for this item. If you have integrated your accounting software, this will match the bill number in that application.currency_codestringenumlength between 3 and 3Defaults to USDAn ISO 4217 currency code. Only currencies currently supported by Routable are available.AEDAUDBHDBRLBSDCADCHFCNYCOPCRCCZKDKKDOPEURGBPHKDHNLHUFIDRINRILSJPYKESKRWKWDKZTMXNMYRNIONOKNZDOMRPABPENPHPPKRPLNQARRONSARSEKSGDTHBTRYUGXUSDUYUZARShow 48 enum valuesdeposit_into_accountuuidThe Account ID to deposit the payment into when it is received.due_from_companyuuidThe Company ID to bill.due_ondateThe date when this payment is due. This should only be passed when terms = see_invoice. If present, this must be a date in the future.external_idstring | nullA external ID you have assigned to this Receivable.itemobjectWhen working with NetSuite, QuickBooks Online, and Xero, you may supply an item ID to track this line item against inventory items. Either item or account is required depending on the style of line item you are creating. You must not include both.item objectledgerXero MetadataQuickBooks Online MetadataNetSuite MetadataFields specific to your accounting suite integration. Sage Intacct users should omit this field.Xero Metadata objectline_itemsarraylength ≥ 1An array of line items on the Receivable. If you don't wish to make any changes to the Receivable's line items, omit this value from your payload entirely. If you send line_items on the payload: To keep a single line item unchanged: Include a JSON object in the array containing just the line item's ID. To add a new line item: Include a JSON object in the array, without an ID, containing all of the required properties for a line item. See the Create Receivable documentation for more details. To edit a line item: Include a JSON object in the array, with the line item's ID, and any line item properties you wish to change. See the Create Receivable documentation for a list of available properties. To delete a line item: Submit a payload which includes a line_items array, but omit the line item from the array submitted. You may not delete the last line item on a Receivable. line_items objectitems.receivables.common.NewReceivableLineItemEdit Line ItemaccountobjectWhen working with Xero, you must supply an account ID to track this line item against your chart of accounts. Use this only when integrated with Xero.account objectamountstringrequiredThe line item's total amount.descriptionstringrequiredThe line item's description.is_taxablebooleanWhen working with QuickBooks Online, specifies whether tax should be collected for this line item. To mark a line item as taxable, the billable field must be billable.truefalseitemobjectWhen working with NetSuite, QuickBooks Online, and Xero, you must supply an item ID to track this line item against inventory items.item objectquantitystring≥ 0Defaults to 1The line item's quantity.stylestringenumThe line item's style. When working without an accounting software integration, or when integrated with Xero, you must use item. To attach the line item to an account in your accounting software's chart of accounts, use account. Or, omit this field and we'll populate it for you.itemAllowed:itemtaxobjectWhen working with NetSuite and Xero, you may supply a tax code ID to specify the tax rate to apply to this line item. Required for Xero users.tax objectunit_pricestringrequiredThe line item's price per unit.discountnumberThe amount of the discount in the currency specified by the Receivable's currency_code. Use this only when integrated with Xero.ledgerXero MetadataQuickBooks Online MetadataNetSuite MetadataSage Intacct MetadataFields specific to your accounting software integration.Xero Metadata objectADD items.receivables.common.NewReceivableLineItem | Edit Line ItemmessagestringA custom message to include in the email to the customer.referencestringThis field is used as an additional reference number for the item when Routable is not integrated with your accounting software. If you have integrated your accounting software with Routable, this field is not used.send_ondate | nullThe date that the Receivable should be sent in Pacific Time. Omit this field when working with Receivables of type:external. When set to today, the Receivable will be sent immediately. When set to null, the Receivable will be put in a ready_to_send status. When set to a date in the future, the Receivable will be scheduled for a future date. No email communications will go out until that date. termsstringenumDefaults to upon_receiptThe payment terms for this Receivable. net30 - The Receivable is due 30 days from today. net60 - The Receivable is due 60 days from today. see_invoice - The Receivable is due on the date specified in the due_on request field. upon_receipt - The Receivable is due immediately. net30net60see_invoiceupon_receiptAllowed:net30net60see_invoiceupon_receiptversionintegerrequired≥ 1The Receivable's current version. The version is incremented each time the Receivable is changed, starting at 1 when it is created. Submit the current version number in update payloads; the incrementation occurs server-side.HeadersIdempotency-Keystringlength between 1 and 128An idempotency key to prevent duplicate requests. All requests with the same key will be considered attempts for the same request. These keys are stored for a period of 24 hours. To ensure these keys are sufficiently tied to a request, we recommend either storing generated idempotency keys alongside your payment data, or using a hash of the request JSON itself to generate your idempotency key.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200OK 400Bad Request 409ConflictUpdated 6 months ago